Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spans
Class TermSpans

    java.lang.Object
      org.apache.lucene.search.spans.TermSpans

All Implemented Interfaces:
  Spans

    public class TermSpans

extends Object
implements Spans

Expert: Public for extension only

Field Summary
`protected int` | `count`
`protected int` | `doc`
`protected int` | `freq`
`protected int` | `position`
`protected TermPositions` | `positions`
`protected Term` | `term`

Constructor Summary
`TermSpans(TermPositions positions, Term term)`

Method Summary
`int` | `doc()` Returns the document number of the current match.
`int` | `end()` Returns the end position of the current match.
`TermPositions` | `getPositions()`
`boolean` | `next()` Move to the next match, returning true iff any such exists.
`boolean` | `skipTo(int target)` Skips to the first match beyond the current, whose document number is greater than or equal to target.
`int` | `start()` Returns the start position of the current match.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### positions

    protected TermPositions positions

### term

    protected Term term

### doc

    protected int doc

### freq

    protected int freq

### count

    protected int count

### position

    protected int position

Constructor Detail

### TermSpans

    public TermSpans(TermPositions positions,
                     Term term)
              throws IOException

Throws:
  `IOException`

Method Detail

### next

    public boolean next()
                 throws IOException

  Description copied from interface: `Spans`
  Move to the next match, returning true iff any such exists.

  Specified by:
    `next` in interface `Spans`
  Throws:
    `IOException`

### skipTo

    public boolean skipTo(int target)
                   throws IOException

  Description copied from interface: `Spans`
  Skips to the first match beyond the current, whose document number is greater than or equal to target.

  Returns true iff there is such a match.

  Behaves as if written:

         boolean skipTo(int target) {
           do {
             if (!next())
                   return false;
           } while (target > doc());
           return true;
         }

  Most implementations are considerably more efficient than that.

  Specified by:
    `skipTo` in interface `Spans`
  Throws:
    `IOException`

### doc

    public int doc()

  Description copied from interface: `Spans`
  Returns the document number of the current match. Initially invalid.

  Specified by:
    `doc` in interface `Spans`

### start

    public int start()

  Description copied from interface: `Spans`
  Returns the start position of the current match. Initially invalid.

  Specified by:
    `start` in interface `Spans`

### end

    public int end()

  Description copied from interface: `Spans`
  Returns the end position of the current match. Initially invalid.

  Specified by:
    `end` in interface `Spans`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getPositions

    public TermPositions getPositions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.